# Class SimpleBEDFeature

java.lang.Object
htsjdk.tribble.bed.SimpleBEDFeature

All Implemented Interfaces:
  `Locatable, BEDFeature, Feature, NamedFeature`

Direct Known Subclasses:
  `FullBEDFeature`

public class SimpleBEDFeature extends Object implements BEDFeature
Feature from a BED file without exon blocks.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`chr`
`protected int`
`end`
`protected int`
`start`
`protected Strand`
`strand`

## Constructor Summary

Constructors
Constructor
Description
`SimpleBEDFeature(int start, int end, String chr)`

## Method Summary

Modifier and Type
Method
Description
`Color`
`getColor()`
`String`
`getContig()`
Gets the contig name for the contig this is mapped to.
`String`
`getDescription()`
`int`
`getEnd()`
`List<FullBEDFeature.Exon>`
`getExons()`
`String`
`getLink()`
`String`
`getName()`
`float`
`getScore()`
`int`
`getStart()`
`Strand`
`getStrand()`
`String`
`getType()`
`void`
`setChr(String chr)`
`void`
`setColor(Color color)`
`void`
`setDescription(String description)`
`void`
`setEnd(int end)`
`void`
`setLink(String link)`
`void`
`setName(String name)`
`void`
`setScore(float score)`
`void`
`setStart(int start)`
`void`
`setStrand(Strand strand)`
`void`
`setType(String type)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Feature

`getChr`

### Methods inherited from interface Locatable

`contains, contigsMatch, getLengthOnReference, overlaps, withinDistanceOf`

## Field Details

### chr

protected String chr

### start

protected int start

### end

protected int end

### strand

protected Strand strand

## Constructor Details

### SimpleBEDFeature

public SimpleBEDFeature(int start, int end, String chr)

## Method Details

### getContig

public String getContig()
Description copied from interface: `Locatable`
Gets the contig name for the contig this is mapped to. May return null if there is no unique mapping.

Specified by:
  `getContig` in interface `Locatable`
Returns:
  name of the contig this is mapped to, potentially null

### getStart

public int getStart()

Specified by:
  `getStart` in interface `Locatable`
Returns:
  1-based start position, undefined if getContig() == null

### getEnd

public int getEnd()

Specified by:
  `getEnd` in interface `Locatable`
Returns:
  1-based closed-ended position, undefined if getContig() == null

### getStrand

public Strand getStrand()

Specified by:
  `getStrand` in interface `BEDFeature`

### setStrand

public void setStrand(Strand strand)

### setChr

public void setChr(String chr)

### setStart

public void setStart(int start)

### setEnd

public void setEnd(int end)

### getType

public String getType()

Specified by:
  `getType` in interface `BEDFeature`

### setType

public void setType(String type)

### getColor

public Color getColor()

Specified by:
  `getColor` in interface `BEDFeature`

### setColor

public void setColor(Color color)

### getDescription

public String getDescription()

Specified by:
  `getDescription` in interface `BEDFeature`

### setDescription

public void setDescription(String description)

### getName

public String getName()

Specified by:
  `getName` in interface `NamedFeature`

### setName

public void setName(String name)

### getScore

public float getScore()

Specified by:
  `getScore` in interface `BEDFeature`

### setScore

public void setScore(float score)

### getLink

public String getLink()

Specified by:
  `getLink` in interface `BEDFeature`

### setLink

public void setLink(String link)

### getExons

public List<FullBEDFeature.Exon> getExons()

Specified by:
  `getExons` in interface `BEDFeature`